# Generated by jeweler
# DO NOT EDIT THIS FILE DIRECTLY
# Instead, edit Jeweler::Tasks in Rakefile, and run 'rake gemspec'
# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "soroban"
  s.version = "0.10.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Jason Hutchens"]
  s.date = "2014-10-24"
  s.description = "Soroban makes it easy to extract and execute formulas from Excel spreadsheets. It rewrites Excel formulas as Ruby expressions, and allows you to bind named variables to spreadsheet cells to easily manipulate inputs and capture outputs."
  s.email = "jason.hutchens@agworld.com.au"
  s.extra_rdoc_files = [
    "LICENSE.txt",
    "README.md"
  ]
  s.files = [
    ".document",
    ".rspec",
    ".travis.yml",
    ".yardopts",
    "Gemfile",
    "Gemfile.lock",
    "LICENSE.txt",
    "README.md",
    "Rakefile",
    "Soroban.gemspec",
    "VERSION",
    "files/Physics.xlsx",
    "lib/soroban.rb",
    "lib/soroban/cell.rb",
    "lib/soroban/errors.rb",
    "lib/soroban/functions.rb",
    "lib/soroban/functions/and.rb",
    "lib/soroban/functions/average.rb",
    "lib/soroban/functions/exp.rb",
    "lib/soroban/functions/if.rb",
    "lib/soroban/functions/ln.rb",
    "lib/soroban/functions/max.rb",
    "lib/soroban/functions/min.rb",
    "lib/soroban/functions/not.rb",
    "lib/soroban/functions/or.rb",
    "lib/soroban/functions/sum.rb",
    "lib/soroban/functions/vlookup.rb",
    "lib/soroban/helpers.rb",
    "lib/soroban/import.rb",
    "lib/soroban/import/ruby_xl_importer.rb",
    "lib/soroban/import/ruby_xl_patch.rb",
    "lib/soroban/label_walker.rb",
    "lib/soroban/parser.rb",
    "lib/soroban/parser/grammar.rb",
    "lib/soroban/parser/grammar.treetop",
    "lib/soroban/parser/nodes.rb",
    "lib/soroban/parser/rewrite.rb",
    "lib/soroban/sheet.rb",
    "lib/soroban/value_walker.rb",
    "spec/documentation_spec.rb",
    "spec/import_spec.rb",
    "spec/soroban_spec.rb",
    "spec/spec_helper.rb"
  ]
  s.homepage = "https://github.com/agworld/soroban"
  s.licenses = ["MIT"]
  s.require_paths = ["lib"]
  s.rubygems_version = "1.8.25"
  s.summary = "Soroban is a calculating engine that understands Excel formulas."

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<treetop>, ["~> 1.5.3"])
      s.add_development_dependency(%q<rubyXL>, ["~> 1.2.10"])
      s.add_development_dependency(%q<nokogiri>, ["~> 1.5.11"])
      s.add_development_dependency(%q<rubyzip>, ["~> 0.9.9"])
    else
      s.add_dependency(%q<treetop>, ["~> 1.5.3"])
      s.add_dependency(%q<rubyXL>, ["~> 1.2.10"])
      s.add_dependency(%q<nokogiri>, ["~> 1.5.11"])
      s.add_dependency(%q<rubyzip>, ["~> 0.9.9"])
    end
  else
    s.add_dependency(%q<treetop>, ["~> 1.5.3"])
    s.add_dependency(%q<rubyXL>, ["~> 1.2.10"])
    s.add_dependency(%q<nokogiri>, ["~> 1.5.11"])
    s.add_dependency(%q<rubyzip>, ["~> 0.9.9"])
  end
end

